<header class="w-full px-5 pt-3 pb-5 bg-blue-300">
    <nav class="flex flex-col sm:flex-row items-baseline sm:justify-between">
        <div class="flex flex-col sm:flex-row grow items-baseline">
            <!-- Left aligned "logo" link -->
            <a href="{{ .Site.Home.Permalink }}" class="font-mono text-2xl text-gray-700 font-semibold">
                {{ .Site.Title }}
            </a>

            <!-- Center aligned hotlinks -->
            {{ with .Site.Params.Links }}
                <div class="flex flex-nowrap sm:flex-wrap sm:ml-5 flex-col sm:flex-row grow items-baseline sm:mt-1 text-xl whitespace-nowrap">
                    {{range .}}
                        <div class="header-hotlink sm:px-1 text-gray-700 md:px-3 font-semibold">
                            <a href="{{- .url -}}">{{- .text -}}</a>
                        </div>

                    {{ end }}
                </div>
            {{ end }}
        </div>

        <!-- Right aligned navigation links -->
        <div>
            <ul id="nav-menu" class="sm:flex w-full flex-nowrap sm:flex-wrap sm:w-auto mt-2 sm:mt-0 sm:space-x-2 items-baseline">
                {{ range .Site.Sections }}
                    <li class="whitespace-nowrap">
                        <a href="{{ .Permalink }}" class="text-gray-500">{{ .Title }}</a>
                    </li>
                {{ end }}
                {{ with $.Site.Params.showTags }}
                    {{ $taxo := "tags" }}
                    {{ with $.Site.GetPage (printf "/%s" $taxo)  }}
                        <li>
                            <a href="{{ .Permalink  }}" class="text-gray-500">{{ .Title }}</a>
                        </li>
                    {{ end }}
                {{ end }}
            </ul>
        </div>
    </nav>
</header>
